For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTCreate a subaccount
      • PUTUpdate a subaccount
      • DELDelete a subaccount
      • GETGet a subaccount
      • GETList subaccounts
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APISubaccounts

Create a subaccount

||View as Markdown|
POST
/subaccounts
POST
/v2/subaccounts
$curl -X POST https://api.synthflow.ai/v2/subaccounts \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "subaccount_name": "string",
> "user_email": "subaccount@example.com",
> "concurrency": 10,
> "max_agents": 5,
> "max_minutes": 1000,
> "max_workflow_runs": 500,
> "grant_permissions": [
> "inbound",
> "outbound",
> "logs"
> ],
> "revoke_permissions": [
> "widget",
> "phone_numbers"
> ]
>}'
1{
2 "status": "ok",
3 "response": {
4 "subaccount_id": "1726005822670x239735712159542050",
5 "api_key": "1739402187001x558120349876512300",
6 "user_email": "onboarding+acme@synthflow.ai",
7 "sign_in_link": "https://fine-tuner.ai/invite/1739402199888x447700112233445500",
8 "twilio_connected_successfully": true
9 }
10}
Was this page helpful?
Previous

Update a subaccount

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
subaccount_namestringRequired
The name for the new subaccount. This should be a unique identifier that distinguishes it from other subaccounts within the main account.
user_emailstringOptional
This is the email address of the user you wish to invite to the subaccount. When this optional parameter is filled in, a "sign in" link will be generated and sent back in the response. The user can use this link to sign in and set up their account.
twilio_account_sidstringOptional
This is the Twilio SID of the subaccount.
twilio_auth_tokenstringOptional
This is the Twilio Token of the subaccount.
concurrencyintegerOptional
The maximum number of calls the subaccount can handle at the same time.
max_agentsinteger or nullOptional
The maximum number of agents the subaccount is allowed to create. Null if no limit is set.
max_minutesinteger or nullOptional
The maximum number of minutes allocated to this subaccount. Null if no limit is set.
max_workflow_runsinteger or nullOptional
The maximum number of workflow runs allocated to this subaccount. Null if no limit is set.
grant_permissionslist of enumsOptional

Permissions to grant to the subaccount. Duplicate values are not allowed, and any value also present in revoke_permissions is rejected by the API.

revoke_permissionslist of enumsOptional

Permissions to revoke from the subaccount. Duplicate values are not allowed, and any value also present in grant_permissions is rejected by the API.

Response

200
statusstring
Whether the request was successful.
responseobject

Errors

400
Bad Request Error